Package org.eclipse.emf.cdo.server.ocl

## Interface OCLExtentCreator

- All Known Implementing Classes:
    `CDOExtentCreator`, `CDOExtentCreator.Lazy`

      public interface OCLExtentCreator

  Creates extents of `classes`.

  The `extent` of a `class` X is the set of all `objects` with `object.getEClass() == X`.

  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.util.Set<org.eclipse.emf.ecore.EObject>` | `createExtent​(org.eclipse.emf.ecore.EClass cls, java.util.concurrent.atomic.AtomicBoolean canceled)` |

- - ### Method Detail

    - #### createExtent

          java.util.Set<org.eclipse.emf.ecore.EObject> createExtent​(org.eclipse.emf.ecore.EClass cls,
                                                                    java.util.concurrent.atomic.AtomicBoolean canceled)